"Fossies" - the Fresh Open Source Software Archive

Member "fdupes-2.1.2/Makefile.in" (12 Aug 2020, 34331 Bytes) of package /linux/privat/fdupes-2.1.2.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 2.1.1_vs_2.1.2.

    1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 bin_PROGRAMS = fdupes$(EXEEXT)
   90 subdir = .
   91 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   92 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   93 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   94 	$(ACLOCAL_M4)
   95 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
   96 	$(am__configure_deps) $(am__DIST_COMMON)
   97 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   98  configure.lineno config.status.lineno
   99 mkinstalldirs = $(install_sh) -d
  100 CONFIG_HEADER = config.h
  101 CONFIG_CLEAN_FILES =
  102 CONFIG_CLEAN_VPATH_FILES =
  103 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
  104 	"$(DESTDIR)$(man7dir)"
  105 PROGRAMS = $(bin_PROGRAMS)
  106 am__fdupes_SOURCES_DIST = fdupes.c fdupes.h filegroup.h \
  107 	ncurses-commands.c ncurses-commands.h ncurses-getcommand.c \
  108 	ncurses-getcommand.h ncurses-interface.c ncurses-interface.h \
  109 	ncurses-print.c ncurses-print.h ncurses-prompt.c \
  110 	ncurses-prompt.h ncurses-status.c ncurses-status.h \
  111 	commandidentifier.c commandidentifier.h errormsg.c errormsg.h \
  112 	wcs.c wcs.h dir.c dir.h log.c log.h fmatch.c fmatch.h sigint.c \
  113 	sigint.h flags.c flags.h mbstowcs_escape_invalid.c \
  114 	mbstowcs_escape_invalid.h positive_wcwidth.c \
  115 	positive_wcwidth.h md5/md5.c md5/md5.h
  116 am__dirstamp = $(am__leading_dot)dirstamp
  117 @NO_NCURSES_FALSE@am_fdupes_OBJECTS = fdupes.$(OBJEXT) \
  118 @NO_NCURSES_FALSE@	ncurses-commands.$(OBJEXT) \
  119 @NO_NCURSES_FALSE@	ncurses-getcommand.$(OBJEXT) \
  120 @NO_NCURSES_FALSE@	ncurses-interface.$(OBJEXT) \
  121 @NO_NCURSES_FALSE@	ncurses-print.$(OBJEXT) \
  122 @NO_NCURSES_FALSE@	ncurses-prompt.$(OBJEXT) \
  123 @NO_NCURSES_FALSE@	ncurses-status.$(OBJEXT) \
  124 @NO_NCURSES_FALSE@	commandidentifier.$(OBJEXT) \
  125 @NO_NCURSES_FALSE@	errormsg.$(OBJEXT) wcs.$(OBJEXT) \
  126 @NO_NCURSES_FALSE@	dir.$(OBJEXT) log.$(OBJEXT) fmatch.$(OBJEXT) \
  127 @NO_NCURSES_FALSE@	sigint.$(OBJEXT) flags.$(OBJEXT) \
  128 @NO_NCURSES_FALSE@	mbstowcs_escape_invalid.$(OBJEXT) \
  129 @NO_NCURSES_FALSE@	positive_wcwidth.$(OBJEXT) md5/md5.$(OBJEXT)
  130 @NO_NCURSES_TRUE@am_fdupes_OBJECTS = fdupes.$(OBJEXT) \
  131 @NO_NCURSES_TRUE@	errormsg.$(OBJEXT) dir.$(OBJEXT) \
  132 @NO_NCURSES_TRUE@	log.$(OBJEXT) fmatch.$(OBJEXT) \
  133 @NO_NCURSES_TRUE@	sigint.$(OBJEXT) flags.$(OBJEXT) \
  134 @NO_NCURSES_TRUE@	mbstowcs_escape_invalid.$(OBJEXT) \
  135 @NO_NCURSES_TRUE@	md5/md5.$(OBJEXT)
  136 fdupes_OBJECTS = $(am_fdupes_OBJECTS)
  137 fdupes_LDADD = $(LDADD)
  138 AM_V_P = $(am__v_P_@AM_V@)
  139 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  140 am__v_P_0 = false
  141 am__v_P_1 = :
  142 AM_V_GEN = $(am__v_GEN_@AM_V@)
  143 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  144 am__v_GEN_0 = @echo "  GEN     " $@;
  145 am__v_GEN_1 = 
  146 AM_V_at = $(am__v_at_@AM_V@)
  147 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  148 am__v_at_0 = @
  149 am__v_at_1 = 
  150 DEFAULT_INCLUDES = -I.@am__isrc@
  151 depcomp = $(SHELL) $(top_srcdir)/depcomp
  152 am__depfiles_maybe = depfiles
  153 am__mv = mv -f
  154 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  155 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  156 AM_V_CC = $(am__v_CC_@AM_V@)
  157 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  158 am__v_CC_0 = @echo "  CC      " $@;
  159 am__v_CC_1 = 
  160 CCLD = $(CC)
  161 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  162 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  163 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  164 am__v_CCLD_0 = @echo "  CCLD    " $@;
  165 am__v_CCLD_1 = 
  166 SOURCES = $(fdupes_SOURCES)
  167 DIST_SOURCES = $(am__fdupes_SOURCES_DIST)
  168 am__can_run_installinfo = \
  169   case $$AM_UPDATE_INFO_DIR in \
  170     n|no|NO) false;; \
  171     *) (install-info --version) >/dev/null 2>&1;; \
  172   esac
  173 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  174 am__vpath_adj = case $$p in \
  175     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  176     *) f=$$p;; \
  177   esac;
  178 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  179 am__install_max = 40
  180 am__nobase_strip_setup = \
  181   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  182 am__nobase_strip = \
  183   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  184 am__nobase_list = $(am__nobase_strip_setup); \
  185   for p in $$list; do echo "$$p $$p"; done | \
  186   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  187   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  188     if (++n[$$2] == $(am__install_max)) \
  189       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  190     END { for (dir in files) print dir, files[dir] }'
  191 am__base_list = \
  192   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  193   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  194 am__uninstall_files_from_dir = { \
  195   test -z "$$files" \
  196     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  197     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  198          $(am__cd) "$$dir" && rm -f $$files; }; \
  199   }
  200 man1dir = $(mandir)/man1
  201 man7dir = $(mandir)/man7
  202 NROFF = nroff
  203 MANS = $(dist_man1_MANS) $(dist_man7_MANS)
  204 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  205 	$(LISP)config.h.in
  206 # Read a list of newline-separated strings from the standard input,
  207 # and print each of them once, without duplicates.  Input order is
  208 # *not* preserved.
  209 am__uniquify_input = $(AWK) '\
  210   BEGIN { nonempty = 0; } \
  211   { items[$$0] = 1; nonempty = 1; } \
  212   END { if (nonempty) { for (i in items) print i; }; } \
  213 '
  214 # Make sure the list of sources is unique.  This is necessary because,
  215 # e.g., the same source file might be shared among _SOURCES variables
  216 # for different programs/libraries.
  217 am__define_uniq_tagged_files = \
  218   list='$(am__tagged_files)'; \
  219   unique=`for i in $$list; do \
  220     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  221   done | $(am__uniquify_input)`
  222 ETAGS = etags
  223 CTAGS = ctags
  224 CSCOPE = cscope
  225 AM_RECURSIVE_TARGETS = cscope
  226 am__DIST_COMMON = $(dist_man1_MANS) $(dist_man7_MANS) \
  227 	$(srcdir)/Makefile.in $(srcdir)/config.h.in INSTALL README \
  228 	compile depcomp install-sh missing
  229 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  230 distdir = $(PACKAGE)-$(VERSION)
  231 top_distdir = $(distdir)
  232 am__remove_distdir = \
  233   if test -d "$(distdir)"; then \
  234     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  235       && rm -rf "$(distdir)" \
  236       || { sleep 5 && rm -rf "$(distdir)"; }; \
  237   else :; fi
  238 am__post_remove_distdir = $(am__remove_distdir)
  239 DIST_ARCHIVES = $(distdir).tar.gz
  240 GZIP_ENV = --best
  241 DIST_TARGETS = dist-gzip
  242 distuninstallcheck_listfiles = find . -type f -print
  243 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  244   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  245 distcleancheck_listfiles = find . -type f -print
  246 ACLOCAL = @ACLOCAL@
  247 AMTAR = @AMTAR@
  248 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  249 AUTOCONF = @AUTOCONF@
  250 AUTOHEADER = @AUTOHEADER@
  251 AUTOMAKE = @AUTOMAKE@
  252 AWK = @AWK@
  253 CC = @CC@
  254 CCDEPMODE = @CCDEPMODE@
  255 CFLAGS = @CFLAGS@
  256 CPP = @CPP@
  257 CPPFLAGS = @CPPFLAGS@
  258 CYGPATH_W = @CYGPATH_W@
  259 DEFS = @DEFS@
  260 DEPDIR = @DEPDIR@
  261 ECHO_C = @ECHO_C@
  262 ECHO_N = @ECHO_N@
  263 ECHO_T = @ECHO_T@
  264 EGREP = @EGREP@
  265 EXEEXT = @EXEEXT@
  266 GREP = @GREP@
  267 INSTALL = @INSTALL@
  268 INSTALL_DATA = @INSTALL_DATA@
  269 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  270 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  271 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  272 LDFLAGS = @LDFLAGS@
  273 LIBOBJS = @LIBOBJS@
  274 LIBS = @LIBS@
  275 LTLIBOBJS = @LTLIBOBJS@
  276 MAKEINFO = @MAKEINFO@
  277 MKDIR_P = @MKDIR_P@
  278 NCURSES_CFLAGS = @NCURSES_CFLAGS@
  279 NCURSES_LIBS = @NCURSES_LIBS@
  280 OBJEXT = @OBJEXT@
  281 PACKAGE = @PACKAGE@
  282 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  283 PACKAGE_NAME = @PACKAGE_NAME@
  284 PACKAGE_STRING = @PACKAGE_STRING@
  285 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  286 PACKAGE_URL = @PACKAGE_URL@
  287 PACKAGE_VERSION = @PACKAGE_VERSION@
  288 PATH_SEPARATOR = @PATH_SEPARATOR@
  289 PKG_CONFIG = @PKG_CONFIG@
  290 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  291 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  292 SET_MAKE = @SET_MAKE@
  293 SHELL = @SHELL@
  294 STRIP = @STRIP@
  295 VERSION = @VERSION@
  296 abs_builddir = @abs_builddir@
  297 abs_srcdir = @abs_srcdir@
  298 abs_top_builddir = @abs_top_builddir@
  299 abs_top_srcdir = @abs_top_srcdir@
  300 ac_ct_CC = @ac_ct_CC@
  301 am__include = @am__include@
  302 am__leading_dot = @am__leading_dot@
  303 am__quote = @am__quote@
  304 am__tar = @am__tar@
  305 am__untar = @am__untar@
  306 bindir = @bindir@
  307 build_alias = @build_alias@
  308 builddir = @builddir@
  309 datadir = @datadir@
  310 datarootdir = @datarootdir@
  311 docdir = @docdir@
  312 dvidir = @dvidir@
  313 exec_prefix = @exec_prefix@
  314 host_alias = @host_alias@
  315 htmldir = @htmldir@
  316 includedir = @includedir@
  317 infodir = @infodir@
  318 install_sh = @install_sh@
  319 libdir = @libdir@
  320 libexecdir = @libexecdir@
  321 localedir = @localedir@
  322 localstatedir = @localstatedir@
  323 mandir = @mandir@
  324 mkdir_p = @mkdir_p@
  325 oldincludedir = @oldincludedir@
  326 pdfdir = @pdfdir@
  327 prefix = @prefix@
  328 program_transform_name = @program_transform_name@
  329 psdir = @psdir@
  330 runstatedir = @runstatedir@
  331 sbindir = @sbindir@
  332 sharedstatedir = @sharedstatedir@
  333 srcdir = @srcdir@
  334 sysconfdir = @sysconfdir@
  335 target_alias = @target_alias@
  336 top_build_prefix = @top_build_prefix@
  337 top_builddir = @top_builddir@
  338 top_srcdir = @top_srcdir@
  339 @NO_NCURSES_FALSE@fdupes_SOURCES = fdupes.c\
  340 @NO_NCURSES_FALSE@ fdupes.h\
  341 @NO_NCURSES_FALSE@ filegroup.h\
  342 @NO_NCURSES_FALSE@ ncurses-commands.c\
  343 @NO_NCURSES_FALSE@ ncurses-commands.h\
  344 @NO_NCURSES_FALSE@ ncurses-getcommand.c\
  345 @NO_NCURSES_FALSE@ ncurses-getcommand.h\
  346 @NO_NCURSES_FALSE@ ncurses-interface.c\
  347 @NO_NCURSES_FALSE@ ncurses-interface.h\
  348 @NO_NCURSES_FALSE@ ncurses-print.c\
  349 @NO_NCURSES_FALSE@ ncurses-print.h\
  350 @NO_NCURSES_FALSE@ ncurses-prompt.c\
  351 @NO_NCURSES_FALSE@ ncurses-prompt.h\
  352 @NO_NCURSES_FALSE@ ncurses-status.c\
  353 @NO_NCURSES_FALSE@ ncurses-status.h\
  354 @NO_NCURSES_FALSE@ commandidentifier.c\
  355 @NO_NCURSES_FALSE@ commandidentifier.h\
  356 @NO_NCURSES_FALSE@ errormsg.c\
  357 @NO_NCURSES_FALSE@ errormsg.h\
  358 @NO_NCURSES_FALSE@ wcs.c\
  359 @NO_NCURSES_FALSE@ wcs.h\
  360 @NO_NCURSES_FALSE@ dir.c\
  361 @NO_NCURSES_FALSE@ dir.h\
  362 @NO_NCURSES_FALSE@ log.c\
  363 @NO_NCURSES_FALSE@ log.h\
  364 @NO_NCURSES_FALSE@ fmatch.c\
  365 @NO_NCURSES_FALSE@ fmatch.h\
  366 @NO_NCURSES_FALSE@ sigint.c\
  367 @NO_NCURSES_FALSE@ sigint.h\
  368 @NO_NCURSES_FALSE@ flags.c\
  369 @NO_NCURSES_FALSE@ flags.h\
  370 @NO_NCURSES_FALSE@ mbstowcs_escape_invalid.c\
  371 @NO_NCURSES_FALSE@ mbstowcs_escape_invalid.h\
  372 @NO_NCURSES_FALSE@ positive_wcwidth.c\
  373 @NO_NCURSES_FALSE@ positive_wcwidth.h\
  374 @NO_NCURSES_FALSE@ md5/md5.c\
  375 @NO_NCURSES_FALSE@ md5/md5.h
  376 
  377 @NO_NCURSES_TRUE@fdupes_SOURCES = fdupes.c\
  378 @NO_NCURSES_TRUE@ fdupes.h\
  379 @NO_NCURSES_TRUE@ errormsg.c\
  380 @NO_NCURSES_TRUE@ errormsg.h\
  381 @NO_NCURSES_TRUE@ dir.c\
  382 @NO_NCURSES_TRUE@ dir.h\
  383 @NO_NCURSES_TRUE@ log.c\
  384 @NO_NCURSES_TRUE@ log.h\
  385 @NO_NCURSES_TRUE@ fmatch.c\
  386 @NO_NCURSES_TRUE@ fmatch.h\
  387 @NO_NCURSES_TRUE@ sigint.c\
  388 @NO_NCURSES_TRUE@ sigint.h\
  389 @NO_NCURSES_TRUE@ flags.c\
  390 @NO_NCURSES_TRUE@ flags.h\
  391 @NO_NCURSES_TRUE@ mbstowcs_escape_invalid.c\
  392 @NO_NCURSES_TRUE@ mbstowcs_escape_invalid.h\
  393 @NO_NCURSES_TRUE@ md5/md5.c\
  394 @NO_NCURSES_TRUE@ md5/md5.h
  395 
  396 @NO_NCURSES_FALSE@dist_man1_MANS = fdupes.1
  397 @NO_NCURSES_TRUE@dist_man1_MANS = fdupes.1
  398 @NO_NCURSES_FALSE@dist_man7_MANS = fdupes-help.7
  399 EXTRA_DIST = testdir CHANGES CONTRIBUTORS
  400 all: config.h
  401 	$(MAKE) $(AM_MAKEFLAGS) all-am
  402 
  403 .SUFFIXES:
  404 .SUFFIXES: .c .o .obj
  405 am--refresh: Makefile
  406 	@:
  407 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  408 	@for dep in $?; do \
  409 	  case '$(am__configure_deps)' in \
  410 	    *$$dep*) \
  411 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  412 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  413 		&& exit 0; \
  414 	      exit 1;; \
  415 	  esac; \
  416 	done; \
  417 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  418 	$(am__cd) $(top_srcdir) && \
  419 	  $(AUTOMAKE) --foreign Makefile
  420 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  421 	@case '$?' in \
  422 	  *config.status*) \
  423 	    echo ' $(SHELL) ./config.status'; \
  424 	    $(SHELL) ./config.status;; \
  425 	  *) \
  426 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  427 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  428 	esac;
  429 
  430 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  431 	$(SHELL) ./config.status --recheck
  432 
  433 $(top_srcdir)/configure:  $(am__configure_deps)
  434 	$(am__cd) $(srcdir) && $(AUTOCONF)
  435 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  436 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  437 $(am__aclocal_m4_deps):
  438 
  439 config.h: stamp-h1
  440 	@test -f $@ || rm -f stamp-h1
  441 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  442 
  443 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  444 	@rm -f stamp-h1
  445 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  446 $(srcdir)/config.h.in:  $(am__configure_deps) 
  447 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  448 	rm -f stamp-h1
  449 	touch $@
  450 
  451 distclean-hdr:
  452 	-rm -f config.h stamp-h1
  453 install-binPROGRAMS: $(bin_PROGRAMS)
  454 	@$(NORMAL_INSTALL)
  455 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  456 	if test -n "$$list"; then \
  457 	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
  458 	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
  459 	fi; \
  460 	for p in $$list; do echo "$$p $$p"; done | \
  461 	sed 's/$(EXEEXT)$$//' | \
  462 	while read p p1; do if test -f $$p \
  463 	  ; then echo "$$p"; echo "$$p"; else :; fi; \
  464 	done | \
  465 	sed -e 'p;s,.*/,,;n;h' \
  466 	    -e 's|.*|.|' \
  467 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  468 	sed 'N;N;N;s,\n, ,g' | \
  469 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  470 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  471 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  472 	    else { print "f", $$3 "/" $$4, $$1; } } \
  473 	  END { for (d in files) print "f", d, files[d] }' | \
  474 	while read type dir files; do \
  475 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  476 	    test -z "$$files" || { \
  477 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
  478 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
  479 	    } \
  480 	; done
  481 
  482 uninstall-binPROGRAMS:
  483 	@$(NORMAL_UNINSTALL)
  484 	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
  485 	files=`for p in $$list; do echo "$$p"; done | \
  486 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  487 	      -e 's/$$/$(EXEEXT)/' \
  488 	`; \
  489 	test -n "$$list" || exit 0; \
  490 	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
  491 	cd "$(DESTDIR)$(bindir)" && rm -f $$files
  492 
  493 clean-binPROGRAMS:
  494 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
  495 md5/$(am__dirstamp):
  496 	@$(MKDIR_P) md5
  497 	@: > md5/$(am__dirstamp)
  498 md5/$(DEPDIR)/$(am__dirstamp):
  499 	@$(MKDIR_P) md5/$(DEPDIR)
  500 	@: > md5/$(DEPDIR)/$(am__dirstamp)
  501 md5/md5.$(OBJEXT): md5/$(am__dirstamp) md5/$(DEPDIR)/$(am__dirstamp)
  502 
  503 fdupes$(EXEEXT): $(fdupes_OBJECTS) $(fdupes_DEPENDENCIES) $(EXTRA_fdupes_DEPENDENCIES) 
  504 	@rm -f fdupes$(EXEEXT)
  505 	$(AM_V_CCLD)$(LINK) $(fdupes_OBJECTS) $(fdupes_LDADD) $(LIBS)
  506 
  507 mostlyclean-compile:
  508 	-rm -f *.$(OBJEXT)
  509 	-rm -f md5/*.$(OBJEXT)
  510 
  511 distclean-compile:
  512 	-rm -f *.tab.c
  513 
  514 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/commandidentifier.Po@am__quote@
  515 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dir.Po@am__quote@
  516 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/errormsg.Po@am__quote@
  517 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fdupes.Po@am__quote@
  518 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/flags.Po@am__quote@
  519 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fmatch.Po@am__quote@
  520 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Po@am__quote@
  521 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mbstowcs_escape_invalid.Po@am__quote@
  522 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-commands.Po@am__quote@
  523 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-getcommand.Po@am__quote@
  524 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-interface.Po@am__quote@
  525 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-print.Po@am__quote@
  526 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-prompt.Po@am__quote@
  527 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ncurses-status.Po@am__quote@
  528 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/positive_wcwidth.Po@am__quote@
  529 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sigint.Po@am__quote@
  530 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/wcs.Po@am__quote@
  531 @AMDEP_TRUE@@am__include@ @am__quote@md5/$(DEPDIR)/md5.Po@am__quote@
  532 
  533 .c.o:
  534 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
  535 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
  536 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  537 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  538 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  539 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  540 
  541 .c.obj:
  542 @am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
  543 @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
  544 @am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
  545 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  546 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  547 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  548 install-man1: $(dist_man1_MANS)
  549 	@$(NORMAL_INSTALL)
  550 	@list1='$(dist_man1_MANS)'; \
  551 	list2=''; \
  552 	test -n "$(man1dir)" \
  553 	  && test -n "`echo $$list1$$list2`" \
  554 	  || exit 0; \
  555 	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
  556 	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
  557 	{ for i in $$list1; do echo "$$i"; done;  \
  558 	if test -n "$$list2"; then \
  559 	  for i in $$list2; do echo "$$i"; done \
  560 	    | sed -n '/\.1[a-z]*$$/p'; \
  561 	fi; \
  562 	} | while read p; do \
  563 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  564 	  echo "$$d$$p"; echo "$$p"; \
  565 	done | \
  566 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  567 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  568 	sed 'N;N;s,\n, ,g' | { \
  569 	list=; while read file base inst; do \
  570 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  571 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
  572 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
  573 	  fi; \
  574 	done; \
  575 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  576 	while read files; do \
  577 	  test -z "$$files" || { \
  578 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
  579 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
  580 	done; }
  581 
  582 uninstall-man1:
  583 	@$(NORMAL_UNINSTALL)
  584 	@list='$(dist_man1_MANS)'; test -n "$(man1dir)" || exit 0; \
  585 	files=`{ for i in $$list; do echo "$$i"; done; \
  586 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
  587 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  588 	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
  589 install-man7: $(dist_man7_MANS)
  590 	@$(NORMAL_INSTALL)
  591 	@list1='$(dist_man7_MANS)'; \
  592 	list2=''; \
  593 	test -n "$(man7dir)" \
  594 	  && test -n "`echo $$list1$$list2`" \
  595 	  || exit 0; \
  596 	echo " $(MKDIR_P) '$(DESTDIR)$(man7dir)'"; \
  597 	$(MKDIR_P) "$(DESTDIR)$(man7dir)" || exit 1; \
  598 	{ for i in $$list1; do echo "$$i"; done;  \
  599 	if test -n "$$list2"; then \
  600 	  for i in $$list2; do echo "$$i"; done \
  601 	    | sed -n '/\.7[a-z]*$$/p'; \
  602 	fi; \
  603 	} | while read p; do \
  604 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  605 	  echo "$$d$$p"; echo "$$p"; \
  606 	done | \
  607 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
  608 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  609 	sed 'N;N;s,\n, ,g' | { \
  610 	list=; while read file base inst; do \
  611 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  612 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man7dir)/$$inst'"; \
  613 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man7dir)/$$inst" || exit $$?; \
  614 	  fi; \
  615 	done; \
  616 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  617 	while read files; do \
  618 	  test -z "$$files" || { \
  619 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man7dir)'"; \
  620 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man7dir)" || exit $$?; }; \
  621 	done; }
  622 
  623 uninstall-man7:
  624 	@$(NORMAL_UNINSTALL)
  625 	@list='$(dist_man7_MANS)'; test -n "$(man7dir)" || exit 0; \
  626 	files=`{ for i in $$list; do echo "$$i"; done; \
  627 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
  628 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  629 	dir='$(DESTDIR)$(man7dir)'; $(am__uninstall_files_from_dir)
  630 
  631 ID: $(am__tagged_files)
  632 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  633 tags: tags-am
  634 TAGS: tags
  635 
  636 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  637 	set x; \
  638 	here=`pwd`; \
  639 	$(am__define_uniq_tagged_files); \
  640 	shift; \
  641 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  642 	  test -n "$$unique" || unique=$$empty_fix; \
  643 	  if test $$# -gt 0; then \
  644 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  645 	      "$$@" $$unique; \
  646 	  else \
  647 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  648 	      $$unique; \
  649 	  fi; \
  650 	fi
  651 ctags: ctags-am
  652 
  653 CTAGS: ctags
  654 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  655 	$(am__define_uniq_tagged_files); \
  656 	test -z "$(CTAGS_ARGS)$$unique" \
  657 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  658 	     $$unique
  659 
  660 GTAGS:
  661 	here=`$(am__cd) $(top_builddir) && pwd` \
  662 	  && $(am__cd) $(top_srcdir) \
  663 	  && gtags -i $(GTAGS_ARGS) "$$here"
  664 cscope: cscope.files
  665 	test ! -s cscope.files \
  666 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  667 clean-cscope:
  668 	-rm -f cscope.files
  669 cscope.files: clean-cscope cscopelist
  670 cscopelist: cscopelist-am
  671 
  672 cscopelist-am: $(am__tagged_files)
  673 	list='$(am__tagged_files)'; \
  674 	case "$(srcdir)" in \
  675 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  676 	  *) sdir=$(subdir)/$(srcdir) ;; \
  677 	esac; \
  678 	for i in $$list; do \
  679 	  if test -f "$$i"; then \
  680 	    echo "$(subdir)/$$i"; \
  681 	  else \
  682 	    echo "$$sdir/$$i"; \
  683 	  fi; \
  684 	done >> $(top_builddir)/cscope.files
  685 
  686 distclean-tags:
  687 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  688 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  689 
  690 distdir: $(DISTFILES)
  691 	$(am__remove_distdir)
  692 	test -d "$(distdir)" || mkdir "$(distdir)"
  693 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  694 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  695 	list='$(DISTFILES)'; \
  696 	  dist_files=`for file in $$list; do echo $$file; done | \
  697 	  sed -e "s|^$$srcdirstrip/||;t" \
  698 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  699 	case $$dist_files in \
  700 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  701 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  702 			   sort -u` ;; \
  703 	esac; \
  704 	for file in $$dist_files; do \
  705 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  706 	  if test -d $$d/$$file; then \
  707 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  708 	    if test -d "$(distdir)/$$file"; then \
  709 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  710 	    fi; \
  711 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  712 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  713 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  714 	    fi; \
  715 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  716 	  else \
  717 	    test -f "$(distdir)/$$file" \
  718 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  719 	    || exit 1; \
  720 	  fi; \
  721 	done
  722 	$(MAKE) $(AM_MAKEFLAGS) \
  723 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  724 	  dist-hook
  725 	-test -n "$(am__skip_mode_fix)" \
  726 	|| find "$(distdir)" -type d ! -perm -755 \
  727 		-exec chmod u+rwx,go+rx {} \; -o \
  728 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  729 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  730 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  731 	|| chmod -R a+r "$(distdir)"
  732 dist-gzip: distdir
  733 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  734 	$(am__post_remove_distdir)
  735 
  736 dist-bzip2: distdir
  737 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  738 	$(am__post_remove_distdir)
  739 
  740 dist-lzip: distdir
  741 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  742 	$(am__post_remove_distdir)
  743 
  744 dist-xz: distdir
  745 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  746 	$(am__post_remove_distdir)
  747 
  748 dist-tarZ: distdir
  749 	@echo WARNING: "Support for distribution archives compressed with" \
  750 		       "legacy program 'compress' is deprecated." >&2
  751 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  752 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  753 	$(am__post_remove_distdir)
  754 
  755 dist-shar: distdir
  756 	@echo WARNING: "Support for shar distribution archives is" \
  757 	               "deprecated." >&2
  758 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  759 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  760 	$(am__post_remove_distdir)
  761 
  762 dist-zip: distdir
  763 	-rm -f $(distdir).zip
  764 	zip -rq $(distdir).zip $(distdir)
  765 	$(am__post_remove_distdir)
  766 
  767 dist dist-all:
  768 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  769 	$(am__post_remove_distdir)
  770 
  771 # This target untars the dist file and tries a VPATH configuration.  Then
  772 # it guarantees that the distribution is self-contained by making another
  773 # tarfile.
  774 distcheck: dist
  775 	case '$(DIST_ARCHIVES)' in \
  776 	*.tar.gz*) \
  777 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  778 	*.tar.bz2*) \
  779 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  780 	*.tar.lz*) \
  781 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  782 	*.tar.xz*) \
  783 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  784 	*.tar.Z*) \
  785 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  786 	*.shar.gz*) \
  787 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  788 	*.zip*) \
  789 	  unzip $(distdir).zip ;;\
  790 	esac
  791 	chmod -R a-w $(distdir)
  792 	chmod u+w $(distdir)
  793 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  794 	chmod a-w $(distdir)
  795 	test -d $(distdir)/_build || exit 0; \
  796 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  797 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  798 	  && am__cwd=`pwd` \
  799 	  && $(am__cd) $(distdir)/_build/sub \
  800 	  && ../../configure \
  801 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  802 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  803 	    --srcdir=../.. --prefix="$$dc_install_base" \
  804 	  && $(MAKE) $(AM_MAKEFLAGS) \
  805 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  806 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  807 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  808 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  809 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  810 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  811 	        distuninstallcheck \
  812 	  && chmod -R a-w "$$dc_install_base" \
  813 	  && ({ \
  814 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  815 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  816 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  817 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  818 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  819 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  820 	  && rm -rf "$$dc_destdir" \
  821 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  822 	  && rm -rf $(DIST_ARCHIVES) \
  823 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  824 	  && cd "$$am__cwd" \
  825 	  || exit 1
  826 	$(am__post_remove_distdir)
  827 	@(echo "$(distdir) archives ready for distribution: "; \
  828 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  829 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  830 distuninstallcheck:
  831 	@test -n '$(distuninstallcheck_dir)' || { \
  832 	  echo 'ERROR: trying to run $@ with an empty' \
  833 	       '$$(distuninstallcheck_dir)' >&2; \
  834 	  exit 1; \
  835 	}; \
  836 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  837 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  838 	  exit 1; \
  839 	}; \
  840 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  841 	   || { echo "ERROR: files left after uninstall:" ; \
  842 	        if test -n "$(DESTDIR)"; then \
  843 	          echo "  (check DESTDIR support)"; \
  844 	        fi ; \
  845 	        $(distuninstallcheck_listfiles) ; \
  846 	        exit 1; } >&2
  847 distcleancheck: distclean
  848 	@if test '$(srcdir)' = . ; then \
  849 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  850 	  exit 1 ; \
  851 	fi
  852 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  853 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  854 	       $(distcleancheck_listfiles) ; \
  855 	       exit 1; } >&2
  856 check-am: all-am
  857 check: check-am
  858 all-am: Makefile $(PROGRAMS) $(MANS) config.h
  859 installdirs:
  860 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man7dir)"; do \
  861 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  862 	done
  863 install: install-am
  864 install-exec: install-exec-am
  865 install-data: install-data-am
  866 uninstall: uninstall-am
  867 
  868 install-am: all-am
  869 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  870 
  871 installcheck: installcheck-am
  872 install-strip:
  873 	if test -z '$(STRIP)'; then \
  874 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  875 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  876 	      install; \
  877 	else \
  878 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  879 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  880 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  881 	fi
  882 mostlyclean-generic:
  883 
  884 clean-generic:
  885 
  886 distclean-generic:
  887 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  888 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  889 	-rm -f md5/$(DEPDIR)/$(am__dirstamp)
  890 	-rm -f md5/$(am__dirstamp)
  891 
  892 maintainer-clean-generic:
  893 	@echo "This command is intended for maintainers to use"
  894 	@echo "it deletes files that may require special tools to rebuild."
  895 clean: clean-am
  896 
  897 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
  898 
  899 distclean: distclean-am
  900 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  901 	-rm -rf ./$(DEPDIR) md5/$(DEPDIR)
  902 	-rm -f Makefile
  903 distclean-am: clean-am distclean-compile distclean-generic \
  904 	distclean-hdr distclean-tags
  905 
  906 dvi: dvi-am
  907 
  908 dvi-am:
  909 
  910 html: html-am
  911 
  912 html-am:
  913 
  914 info: info-am
  915 
  916 info-am:
  917 
  918 install-data-am: install-man
  919 
  920 install-dvi: install-dvi-am
  921 
  922 install-dvi-am:
  923 
  924 install-exec-am: install-binPROGRAMS
  925 
  926 install-html: install-html-am
  927 
  928 install-html-am:
  929 
  930 install-info: install-info-am
  931 
  932 install-info-am:
  933 
  934 install-man: install-man1 install-man7
  935 
  936 install-pdf: install-pdf-am
  937 
  938 install-pdf-am:
  939 
  940 install-ps: install-ps-am
  941 
  942 install-ps-am:
  943 
  944 installcheck-am:
  945 
  946 maintainer-clean: maintainer-clean-am
  947 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  948 	-rm -rf $(top_srcdir)/autom4te.cache
  949 	-rm -rf ./$(DEPDIR) md5/$(DEPDIR)
  950 	-rm -f Makefile
  951 maintainer-clean-am: distclean-am maintainer-clean-generic
  952 
  953 mostlyclean: mostlyclean-am
  954 
  955 mostlyclean-am: mostlyclean-compile mostlyclean-generic
  956 
  957 pdf: pdf-am
  958 
  959 pdf-am:
  960 
  961 ps: ps-am
  962 
  963 ps-am:
  964 
  965 uninstall-am: uninstall-binPROGRAMS uninstall-man
  966 
  967 uninstall-man: uninstall-man1 uninstall-man7
  968 
  969 .MAKE: all install-am install-strip
  970 
  971 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
  972 	clean-binPROGRAMS clean-cscope clean-generic cscope \
  973 	cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  974 	dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
  975 	dist-zip distcheck distclean distclean-compile \
  976 	distclean-generic distclean-hdr distclean-tags distcleancheck \
  977 	distdir distuninstallcheck dvi dvi-am html html-am info \
  978 	info-am install install-am install-binPROGRAMS install-data \
  979 	install-data-am install-dvi install-dvi-am install-exec \
  980 	install-exec-am install-html install-html-am install-info \
  981 	install-info-am install-man install-man1 install-man7 \
  982 	install-pdf install-pdf-am install-ps install-ps-am \
  983 	install-strip installcheck installcheck-am installdirs \
  984 	maintainer-clean maintainer-clean-generic mostlyclean \
  985 	mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  986 	tags tags-am uninstall uninstall-am uninstall-binPROGRAMS \
  987 	uninstall-man uninstall-man1 uninstall-man7
  988 
  989 .PRECIOUS: Makefile
  990 
  991 
  992 dist-hook:
  993 	if [ -f $(top_srcdir)/INSTALL.enduser ]; then chmod u+w $(distdir)/INSTALL; \cp -f $(top_srcdir)/INSTALL.enduser $(distdir)/INSTALL; fi
  994 
  995 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  996 # Otherwise a system limit (for SysV at least) may be exceeded.
  997 .NOEXPORT: